Bug 1129762 (CVE-2014-5261, CVE-2014-5262) - CVE-2014-5261 CVE-2014-5262 cacti: remote code execution and SQL injection
Summary: CVE-2014-5261 CVE-2014-5262 cacti: remote code execution and SQL injection
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-5261, CVE-2014-5262
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1129763 1129764
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:30 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:26 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-08-13 15:30:59 UTC
It was reported [1] that upstream fixed incomplete and incorrect input parsing,
that leads to remote code execution and SQL injection attack scenarios. [2]

[1]: http://seclists.org/oss-sec/2014/q3/351
[2]: http://svn.cacti.net/viewvc?view=rev&revision=7454

CVE has not yet been assigned (request is in [1]).

Comment 1 Vasyl Kaigorodov 2014-08-13 15:31:22 UTC
Created cacti tracking bugs for this issue:

Affects: fedora-all [bug 1129763]
Affects: epel-all [bug 1129764]

Comment 2 Murray McAllister 2014-08-14 07:43:10 UTC
Acknowledgements:

Red Hat would like to thank Mischa Salle and Wilco Baan Hofman of Nikhef for reporting this issue.

Comment 3 Murray McAllister 2014-08-18 02:48:30 UTC
MITRE assigned CVE-2014-5261 to the shell metacharacters issue, and CVE-2014-5262 to the SQL injection:

http://seclists.org/oss-sec/2014/q3/386

Comment 4 Product Security DevOps Team 2019-06-08 02:34:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.